:root {
  /**
   * General Settings
   */
  --un-max-vw: 54em;
  --un-spacing: 12px;
  --un-border-radius: 0.25rem;

  /**
   * Font
   */
  --un-font-size: 16px;
  --un-font: 'Poppins';
  --un-font-weight: 400;
  --un-font-stack: Helvetica, Arial, sans-serif;
  --un-font-weight-bold: 600;
  --un-line-height: 1.15;

  /**
   * Generic Colors
   */
  --un-color-blue: hsl(220, 81%, 55%);
  --un-color-blue-dark: hsl(220, 81%, 40%);
  --un-color-blue-lightest: hsl(220, 81%, 98%);
  --un-color-black: hsl(240, 0%, 30%);
  --un-color-white: #fff;
  --un-color-grey-light: hsl(240, 10%, 70%);

  /**
   * Specific Colors
   */
  --un-color-primary: var(--un-color-blue);
  --un-error-bg: hsl(0, 100%, 95%);
  --un-error-fg: hsl(0, 100%, 50%);

  --un-base-bg: hsl(240, 0%, 99%);
  --un-base-color: var(--un-color-black);

  --un-header-bg: var(--un-color-white);
  --un-header-fg: var(--un-color-black);

  --un-main-bg: transparent;
  --un-main-fg: var(--un-color-black);

  --un-footer-bg: var(--un-color-blue);
  --un-footer-fg: var(--un-color-white);

  --un-btn-primary-bg: var(--un-color-primary);
  --un-btn-primary-fg: var(--un-color-white);
  --un-btn-primary-highlight-bg: var(--un-color-blue-dark);

  --un-form-input-border: hsl(240, 1%, 90%);
  --un-form-input-highlight: var(--un-color-blue-dark);
  --un-form-input-highlight-bg: var(--un-color-blue-lightest);

  --un-nav-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1), 0 1px 0 rgba(0, 0, 0, 0.05);

  --un-card-box-shadow: 0 0 3px rgba(0, 0, 0, 0.1), 0 1px 0 rgba(0, 0, 0, 0.05);
  --un-card-bg: var(--un-color-white);

  --un-flash-border-color: hsl(240, 10%, 90%);
  --un-flash-box-shadow: 0 6px 12px rgba(0, 0, 0, 0.2),
    0 0 12px rgba(0, 0, 0, 0.1);
}

@custom-media --sm-viewport (min-width: 35.5em);
@custom-media --md-viewport (min-width: 48em);
@custom-media --lg-viewport (min-width: 54em);
